<?php 
require('../conexion.php');

$clave_producto= $_POST['clave_producto'];

$query=query("SELECT A.id 'ID', A.pro_clave 'PRO_CLAVE', A.pro_nombre 'PRO_NOMBRE', 
A.pro_precio_venta 'PRO_PRECIO_VENTA', A.pro_clasificaciones 'PRO_CLASIFICIACION', 
A.pro_estatus , IFNULL(B.rec_costo,'0.00') 'PRO_COSTO_RECETA', A.pro_redondenado 'PRO_RENDONDEADO', 
A.pro_observaciones 'PRO_OBSERVACIONES', A.pro_id_receta 'PRO_ID_RECETA', 
pro_prioridad 'PRO_PRIORIDAD', case when A.pro_estatus = 'ALTA' OR A.pro_estatus = 'Alta' then 'Alta' 
when A.pro_estatus = 'BAJA' OR A.pro_estatus = 'Baja' then 'Baja' when A.pro_estatus = 'Caducado' then 'Caducado' END as 'PRO_ESTATUS', A.pro_vista  'PRO_VISTA', U.uss_nombre 'USS_NOMBRE', B.rec_nombre 'RECETA' 
FROM productos AS A 
LEFT JOIN receta AS B ON A.pro_id_receta = B.id
LEFT JOIN usuarios AS U ON U.id = A.pro_vista 
WHERE  A.id='$clave_producto'");
$i=0;
while($row = mysqli_fetch_assoc($query)){
    $rowdata[$i] = $row;
    $i++;
}

if ($i>0){
    $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
} else {
    $res =  '[{"ID":"0"}]';	
}
echo $res;
?>